/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2013 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */

package org.sonatype.nexus.plugins.p2.repository.mappings;

import java.util.Map;

public class ArtifactMapping
{
  private Map<String, ArtifactPath> artifactsPath;

  private String repository;

  public ArtifactMapping(final String repository, final Map<String, ArtifactPath> artifactsPath) {
    super();
    this.repository = repository;
    this.artifactsPath = artifactsPath;
  }

  public Map<String, ArtifactPath> getArtifactsPath() {
    return artifactsPath;
  }

  public String getRepository() {
    return repository;
  }

  public void setArtifactsPath(final Map<String, ArtifactPath> artifactsPath) {
    this.artifactsPath = artifactsPath;
  }

  public void setRepository(final String repository) {
    this.repository = repository;
  }
}
